This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 785802 - RFE: Event Logging pure java alternative to Sigar
RFE: Event Logging pure java alternative to Sigar
Status: NEW
Product: RHQ Project
Classification: Other
Component: Events (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
https://fedorahosted.org/pipermail/rh...
: Improvement
Depends On: 785026
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 11:39 EST by Mike Foley
Modified: 2015-02-01 18:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 785026
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-112 Major Pending Product Management Triage Event Logging requires pure Java alternative to Sigar 2015-10-23 12:12 EDT

  None (edit)
Description Mike Foley 2012-01-30 11:39:07 EST
+++ This bug was initially created as a clone of Bug #785026 +++

Description of problem:
If event logging is enabled but native support is disabled, events do not get processed.

A pure Java alternative should be provided in cases where native support is unavailable or the user should be warned that although event logging is enabled for a resource, it will not be active due to native support being disabled.

Version-Release number of selected component (if applicable):
4.3

How reproducible:
Always

Steps to Reproduce:
1. Enable event logging for an AS resource or RHQ Agent
2. Confirm events are being logged
3. Restart agent with the --nonative command-line option
  
Actual results:
No events are logged once the agent is started with --nonative and the agent log contains no information indicating that event logging is failing

Expected results:
Event logging should continue to work

Additional info:
Ian's response from rhq-devel https://fedorahosted.org/pipermail/rhq-devel/2012-January/001434.html confirms this issue exists and suggests that it might be possible to implement a pure Java option.

--- Additional comment from ian.springer@redhat.com on 2012-01-27 10:00:28 EST ---

Raising the sev on this to medium. We really should be logging a warning. It would also be nice if we threw an exception in the plugins if a user tried to enable log events when native support is disabled in the Agent.

But I think getting log events to work w/out SIGAR is low priority, since we support SIGAR on all the major platforms.

--- Additional comment from mfoley@redhat.com on 2012-01-30 11:37:01 EST ---

per 12/30/2012 BZ triage meeting mfoley, ccrouch, loleary, asantos

we are splitting this BZ into 2 ...

1) we are reducing the scope of this BZ.  providing customer feedback *is* the new reduced scope of this BZ ... and this is being targetted for 3.01.

2) i will be cloning a 2nd BZ as an RFE for the pure java alternative
Comment 1 Charles Crouch 2012-01-30 14:26:39 EST
Unsetting Target Release field and marking this as an Improvement

Note You need to log in before you can comment on or make changes to this bug.